/**
 * @abstract 初始化挂载在window上的对象ent
 * webFunc：用来存放，native定义的，前端实现的方法，不可随意修改，用于native对web的消息通知
 * commonCallback：用于存放，web与native的普通交互回调函数，大多数时候，会随着路由切换完全清空
 * requestCallback：用于存放：web通过native发起的请求的回调函数
 */
function initWindow() {
  !window.ent && (window.ent = {});
  !window.ent.webFunc && (window.ent.webFunc = {});
  !window.ent.commonCallback && (window.ent.commonCallback = {});
  !window.ent.requestCallback && (window.ent.requestCallback = {});
}

/**
 * @abstract 设置视窗适应方式
 * @param {string} viewportFit - 视窗适应方式，适用于iOS，可以是 'cover' 或 'contain'，cover为全屏，contain则不包含安全区域
 */
function setViewportFit(viewportFit) {
  var viewport = document.getElementsByName('viewport')[0];
  viewport.setAttribute('content', `${viewport.getAttribute('content')}, viewport-fit=${viewportFit}`);
}

/**
 * @abstract 设置视窗全屏，如果视窗全屏，则设置视窗适应模式为'cover'
 */
function setViewportCover() {
  (window.ent.isViewportCover = true) && setViewportFit('cover');
}

initWindow();
setViewportCover();
