// 外挂服务器配置文件
(function () {
  // 此文件用在移动版网页上，最终会外挂到服务器上，硬编码问题可以忽略
  var entConfig = {
    project: 'ent',
    envTests: ['localhost', 'dev', 'sit', 'uat', 'uat2', 'secdev', 'vip'],
    envProds: ['prod', 'gray'],
    proxyForText: 'ProxyForText',
    freeProxyForText: 'FreeProxyForText',
    oldSupportOrigin: 'support.huawei',
    localhostOrigin: 'localhost.huawei',
    templateUrl: '',
    magProd: 'https://w3m.huawei.com/mcloud/umag/ProxyForText',
    magTest: 'https://w3m-beta.huawei.com/mcloud/umag/ProxyForText',
    servers: {
      front: 'front',
      enterpriseappservice: 'enterprise',
      eisdpappservice: 'eisdp',
      ecareappservice: 'ecare',
      pwsappservice: 'pws',
      'enterpriseappservice/exc': 'enterprise_exc',
      'ecareappservice/exc': 'ecare_exc',
    },
    origins: {
      support: 'https://support.huawei.com',
      hwh5_cloudonline: 'https://w3m.huawei.com/mcloud/umag/FreeProxyForImage/eplus_s3/system/hwh5-cloudonline.js',
    },
  };
  window.entConfig = entConfig;

  const entLinks = {
    // prod模块可以认为是标准的生产地址，test属性放测试环境专用属性
    prod: {
      hwh5_cloudonline: `https://w3m.huawei.com/mcloud/umag/FreeProxyForImage/eplus_s3/system/hwh5-cloudonline.js`,
      privacyStatement: {
        aboutCookie: 'https://www.aboutcookies.org/',
        aboutCookieEn: 'http://aboutcookies.org/',
        internetExplorer: 'https://support.microsoft.com/zh-cn/help/17442/windows-internet-explorer-delete-manage-cookies',
        internetExplorer2022: 'http://support.microsoft.com/kb/260971',
        chrome: 'https://support.google.com/chrome/answer/95647',
        chrome2022: 'https://support.google.com/chrome/bin/answer.py?hl=en-GB&answer=95647&p=cpn_cookies',
        firefox: 'https://support.mozilla.org/zh-CN/kb/Cookies?redirectlocale=en-US&redirectslug=Cookies',
        firefox2022: 'http://support.mozilla.org/en-US/kb/Cookies',
        safari: 'https://support.apple.com/kb/PH19214?locale=zh_CN',
        safari2022: 'http://support.apple.com/kb/PH5042',
        opera: 'https://www.opera.com/help/tutorials/security/privacy/',
        opera2022: 'http://www.opera.com/browser/tutorials/security/privacy/',
        huaweiWebsite: 'https://www.huawei.com',
        huaweiWebsiteEn: 'https://www.huawei.com/en',
        supportE: 'e.support@huawei.com',
        personalDataRequestCn: 'https://www.huawei.com/cn/personal-data-request',
        personalDataRequestEn: 'https://www.huawei.com/en/personal-data-request',
        privacyPolicyCn: 'https://www.huawei.com/cn/privacy-policy',
        privacyPolicyEn: 'https://www.huawei.com/en/privacy-policy',
        forumPrivacyCn: 'https://forum.huawei.com/enterprise/zh/privacy',
        forumPrivacyEn: 'https://forum.huawei.com/enterprise/en/huawei/m/protocol.html?lang=en',
        forumPrivacyEn612: 'https://forum.huawei.com/enterprise/en/huawei/m/protocol.html?lang=en&container=browser&navBar=1&isOpenAttach=1',
        shareWxQq: 'https://developers.weixin.qq.com/doc/oplatform/Mobile_App/Share_and_Favorites/Share_and_Favorites.html',
        huaweiEntity: 'https://e.huawei.com/cn/branch-office-query/china-branch-office',
        gaodePrivacy: 'https://lbs.amap.com/pages/privacy',
        locationPrivacy: 'https://developer.huawei.com/consumer/cn/doc/development/HMSCore-Guides/sdk-data-security-0000001271400621',
      },

      entAbout: {
        beiAnMIIT: 'https://beian.miit.gov.cn',
        enterpriseSupport: 'https://support.huawei.com/enterprise',
      },
      sdkListComp: {
        pushPrivacy: 'https://developer.huawei.com/consumer/cn/doc/HMSCore-Guides/sdk-data-security-0000001050042177',
        scanPrivacy: 'https://developer.huawei.com/consumer/cn/doc/HMSCore-Guides/sdk-data-security-0000001050043971',
        shengWangPrivacy: 'https://www.shengwang.cn/privacy-policy/',
      },
      myProduct: {
        liveChatUrl: 'https://app.huawei.com/weiknow#/?id=cljy&from=app',
        IKnowUrlCn: 'https://app.huawei.com/weiknow#/phone?lang=zh&webkitTouchCallout=default&webkitUserSelect=auto&vt=supportMobile-E&from=app&pbiid=',
        IKnowUrlEn: 'https://support.huawei.com/weiknow/phone/?lang=en&webkitTouchCallout=default&webkitUserSelect=auto&vt=supportMobile-E&from=app&pbiid=',
        FaultRevelationCn: 'https://support.huawei.com/onlinetoolsweb/tsrev/cn/index.html',
        FaultRevelationEn: 'https://support.huawei.com/onlinetoolsweb/tsrev/en/index.html',
      },
      productRegister: {
        legalLinkCn: 'https://www.huawei.com/cn/legal',
        legalLinkEn: 'https://www.huawei.com/en/legal',
      },
      maintenanceQuery: {
        branchOfficeEn: 'https://e.huawei.com/en/about/global-branch-office',
        hotlineEn: 'https://e.huawei.com/en/about/service-hotline',
      },
      hotline: {
        supportEEmail: 'support_e@huawei.com',
      },
      home: {
        loginLink: 'https://uniportal-beta.huawei.com/uniportal1/login-mobile.html?v=1.0&redirect=https%3A%2F%2Flocalhost.huawei.com%2F%23%2FentHome&wap=1',
      },
      productLicense: {
        liveChat: 'https://app.huawei.com/weiknow#/?id=fjs-lic&from=app',
      },
      utils: {
        supportHw: 'support.huawei.com',
        pwsHw: 'pws.partner.huawei.com',
        hwaHis: 'hwa.his.huawei.com',
        hwaBetaHis: 'hwa-beta.his.huawei.com',
        w3mHw: 'w3m.huawei.com/mcloud/mag',
        mcloudUat: 'mcloud-uat.huawei.com/mcloud/mag',
      },
      axios: {
        weiKnow: 'https://app.huawei.com/weiknow#/weiknow?lang=zh&from=app',
        ecarePrivacyPolicyCn: 'https://support.huawei.com/enterprise/zh/privacy-policy',
        ecarePrivacyPolicyEn: 'https://support.huawei.com/enterprise/en/privacy-policy',
        eisdpPrivacyCn: 'https://r.huaweistatic.com/s/esddp/agreement/v1/com.huawei.ebg.eisdp.industry/PSTA/20210406/Android/zh_CN.html',
        eisdpPrivacyEn: 'https://r.huaweistatic.com/s/esddp/agreement/v1/com.huawei.ebg.eisdp.industry/PSTA/20210406/Android/en_US.html',
      },
      test: {
        forumPrivacyZh: 'https://forum.huawei.com/enterprise/zh/huawei/m/home.html?lang=zh&container=browser&navBar=1&isOpenAttach=1&type=home',
        mcloudUat: 'https://mcloud-uat.huawei.com/mcloud/mag/FreeProxyForText/enterpriseappmag/',
        appUat: 'https://app-uat.service.huawei.com/',
      },
      eScan: {
        userLicenseAgreementCn: 'https://e.huawei.com/cn/about/eula',
        userLicenseAgreementEn: 'https://e.huawei.com/en/about/eula',
      },
      ecareCommon: {
        ecareProject: 'https://app.huawei.com/ecare/portal/#/',
      },
      eisdpCommon: {
        weiKnowCn: 'https://app.huawei.com/weiknow#/phone?lang=zh&webkitTouchCallout=default&webkitUserSelect=auto&vt=supportMobile-E&from=app',
        weiKnowEn: 'https://support.huawei.com/weiknow/phone/?lang=en&webkitTouchCallout=default&webkitUserSelect=auto&vt=supportMobile-E&from=app',
        hwStatic: 'https://r-beta.huaweistatic.com',
      },
      eisdpLight: {
        eisdpProject: 'https://app.huawei.com/eisdp/project/#/',
        kweUat: 'https://kweuat.huawei.com/eisdp/project/#/',
        warrantyPolicy: 'https://support.huawei.com/enterprise/zh/warranty-policy',
        vulResponseProcess: 'https://www.huawei.com/cn/psirt/vul-response-process',
        hwWeb: 'huawei.com',
      },
      selfDefining: {
        entProtocol: 'hwapp://huawei.hedex.mobile',
      },
    },
    test: {
      eisdpLight: {},
    },
  };
  window.entLinks = entLinks;
})();
